package market.Mes.quartz;

import java.util.Timer;

import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;

/**
 * 项目启动即刻自动迁移电耗数据
 */
public class AutoElecDataServlet extends HttpServlet {

	private boolean running=true;//是否开启自动迁移电耗数据
    private static ServletContext context;
    public static ServletContext getContext(){
    	return context;
    }
    
    public void init() throws ServletException {
    	if(running){
	    	context=this.getServletContext();
	        System.out.println("--------------开启自动迁移电耗数据--------------------");
	        // 自动迁移电耗数据    注意，5*1000：如果定时器设置为每5秒执行一次，这个时候如果程序运行过程中超过了5秒，不会马上执行下一个定时任务【下个定时任务一定会等待前一个定时任务执行完毕】。
	        
	        new Timer().scheduleAtFixedRate(new AutoElecDataJudgeTask(context),0,10*60*1000);
    	}
    }
}
